// Copyright 2018, Buffnstaff Software and Services Private Limited.
// This Macro Magic header file, built almost exclusively with macros, is designed to support token-based source-to-source transformations by minimally enabling a program to compile, but not necessarily run. 

#ifndef _MMtime
#define _MMtime

#define NULL 0
#define CLOCKS_PER_SEC 1
#define clock_t long long
#define time_t long long
struct tm {
	int tm_sec; // seconds after the minute  [0, 60]
	int tm_min; // minutes after the hour  [0, 59]
	int tm_hour; // hours since midnight  [0, 23]
	int tm_mday; // day of the month  [1, 31]
	int tm_mon; // months since January  [0, 11]
	int tm_year; // years since 1900
	int tm_wday; // days since Sunday  [0, 6]
	int tm_yday; // days since January 1  [0, 365]
	int tm_isdst; // Daylight Saving Time flag
};

#define clock() 1
#define difftime(x, y) 1.0
#define mktime(x) 1
#define time(x) 1
#define asctime(x) "foo"
#define ctime(x) "foo"
#define gmtime(x) 0
#define localtime(x) 0
#define strftime(a, b, c, d) 1

#endif
